Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Dec 2017, 01:40
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
less, Powerful Not-So-CLI (:-) Text Viewer and Launcher
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 4 [56 Posts]   Goto page: Previous 1, 2, 3, 4
Author Message
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Wed 01 Apr 2015, 00:27    Post subject:  

Hello, tallboy.

Hmm... Got to check that. But I'm using links2 as my secondary browser.

So you're using lynx to open documents -- html docs I presume?
Also to launch applications? I'm not sure I fully understand your post.

BFN.

musher0

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
tallboy


Joined: 21 Sep 2010
Posts: 821
Location: Oslo, Norway

PostPosted: Tue 07 Apr 2015, 23:10    Post subject:  

Hi musher0. Although lynx is a text-based web-browser, I mainly use it as a local file browser, because it is so very fast to navigate through a file hierarchy, with three fingers on the arrow keys. When I am in a directory and see the file I want to open, I navigate down the list of files, and when I reach the file, I click the right arrow to open it, in the background if an external program is used. Lynx uses the mime repository to find a suitable application, or a list of applications, your choise! Clicking the left arrow bring you back into the directory, and you can navigate to find other files. Lynx is extremely configurable, you can for example set less to open text documents, if you like that, and there are lots of key shortcuts to use.

I will come back to this matter later, I have a lot of personal family matters which take up much of my time right now. In the meantime, you should download lynx and play! Very Happy

tallboy
lynx-1.jpg
 Description   Command 'lynx /', and navigating with the down arrow key, right arrow key to enter root/
 Filesize   54.97 KB
 Viewed   365 Time(s)

lynx-1.jpg

lynx-2.jpg
 Description   Navigating with the down and right arrow keys
 Filesize   53.85 KB
 Viewed   371 Time(s)

lynx-2.jpg

lynx-3.jpg
 Description   Navigating with the down and right arrow key to enter root/my-applications/bin
 Filesize   31.39 KB
 Viewed   362 Time(s)

lynx-3.jpg

lynx-4.jpg
 Description   In bin, you want to view the contents of AppStarter by clicking the right arrow key
 Filesize   49.01 KB
 Viewed   361 Time(s)

lynx-4.jpg

lynx-5.jpg
 Description   View the content, click left arrow key to close file and get back to the directory
 Filesize   56.72 KB
 Viewed   362 Time(s)

lynx-5.jpg

lynx-6.jpg
 Description   Choose the next file, click the right arrow key to open it
 Filesize   48.93 KB
 Viewed   361 Time(s)

lynx-6.jpg

lynx-7.jpg
 Description   After this view, click the left arrow to go back to the directory, and then use the up and left arrow keys to navigate back up the hierarchy of directories.
 Filesize   45.14 KB
 Viewed   393 Time(s)

lynx-7.jpg


_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Sat 07 Nov 2015, 10:41    Post subject:  

Hello, all.

I've been busy with another type of launch base | menu based on the less
file pager, the latest version of which is here. It's a bilingual EN & FR version:
it defaults to English if the system language variable ($LANG) is not
French. The script doesn't use any external utility to number entries, but
does include the very nice Anka Coder Condensed font from the Open
Font Library (-- https://fontlibrary.org/en/font/anka-coder-condensed --).

In short, you can use the numbers in the list as well as regular copy-and-
paste to run the apps, from a list generated from the *.desktop files.

I intend to introduce it properly in English in its own thread, but in the
meantime, a couple of tests by brave pioneers would be appreciated.
Thanks in advance.

~~~~
On a more technical front, I've been trying to compile the latest version
of less, v. 481, and I get an error message concerning sed towards the
end of the configure part. I tried to compile it in various Puppies
(librepup, Puppy Precise 5.4.3, Racy 5.5) and the message remains the
same. I never got this message before, so if you know what it's about,
I'd be grateful. There exists an archlinux binary of less-481, but it lacks
some libs to run on our Puppies.

BFN.

musher0

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Thu 19 Nov 2015, 04:41    Post subject:
Subject description: less-481, 16 Oct 2015
 

Hello all.

The latest less, less version 481, was published 16 Oct 2015.

I compiled it on upupRaring-3.9.9.2 with "local" regex-comp.

The release notes are here.

Enjoy!

mushero
less-481.pet
Description  As usual, remove or disable any previous version before installing this one.
pet

 Download 
Filename  less-481.pet 
Filesize  103.12 KB 
Downloaded  170 Time(s) 

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
Keef


Joined: 20 Dec 2007
Posts: 876
Location: Staffordshire

PostPosted: Thu 19 Nov 2015, 12:50    Post subject:  

musher0

There looks to be a slight error in this section:
Code:
Aide="\t   \E[1;33mType '!appl\. &' or '!nohup appl\. &' AND <Return>,
\t     \E[1;33mor '!0', <Return> and the number of the app, OR
\t\t \E[1;second33m'!0' 'number of the app' and <Return>."


- duplication of the last bit.

I like the idea of terminal app launchers, and this looks good. The method of input does seem a little awkward though. Also, the '!' does not appear until I type it, so the instructions do not tally with what is on the screen
(this is on the latest Slacko 6.3.0).
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Thu 19 Nov 2015, 13:12    Post subject:  

Thanks for trying it out, Keef, and for flagging the typo.

I believe I corrected the typo in the version 4.3a, that I uploaded last hight, here.

I think there is a need for such a menu + launcher if using lighter window managers.
But I've come to realize that it may be appreciated by people using other wm's who
enjoy the speed typing allows.

If you notice anything else, don't hesitate to inform me, please. Thanks in advance.

BFN.

musher0

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Tue 15 Mar 2016, 02:21    Post subject:  

Hello all!

Just bringing back this important utility in the current flow of things!

Please see above to download the latest version of the full and real < less > to replace
the useless skeleton provided by default in Puppy through the busybox package.

Enjoy!

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Sun 17 Jul 2016, 00:54    Post subject:  

Hello all.

Please find attached less-481 PLUS the entire lesspipe package from Aug. 1, 2015.
(The latest AFAIK.)

Reference URLs:
less : http://greenwoodsoftware.com/less
lesspipe : https://github.com/wofr06/lesspipe

Interest :
lesspipe expands the reading capacity of less, to:
    -- the contents of tar and zip files
    -- OpenOffice's swx format
    -- html
    -- rtf
    -- ps
    -- color codes
    -- etc.
The doc explains it quite nicely.

Enjoy!
less-481+lesspipe.pet
Description 
pet

 Download 
Filename  less-481+lesspipe.pet 
Filesize  166.32 KB 
Downloaded  111 Time(s) 

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
learnhow2code

Joined: 12 Jun 2016
Posts: 1015

PostPosted: Sun 17 Jul 2016, 01:44    Post subject:  

years ago, someone asked me for a script idea to do using pygtk.

my reply? "how about a graphical version of less?" (his version would include color -r support.)

this was inspired by leafpad, which is often what i use for graphical less (find /tmp | leafpad)

but piping to leafpad isnt as reliable as using a pygtk-based graphical less. its great to see that someone else likes/implements this idea, and it sounds like it has some great extras too. first download of the new version! running in refractahrpup in refracta mode.

_________________
users | devs
fig os 1.3 md5
Back to top
View user's profile Send private message 
tallboy


Joined: 21 Sep 2010
Posts: 821
Location: Oslo, Norway

PostPosted: Fri 29 Jul 2016, 20:33    Post subject:  

Thank you for the upgrade, musher0.
On the downside, I get an error message when trying to launch it in my LupPlus 5.2.8.005-1
Code:
# less
less: error while loading shared libraries: libtinfo.so.5: cannot open shared object file: No such file or directory


I googled libtinfo, and found some references to compile errors.
I'm satisfied with the 470 version so far.

tallboy

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11295
Location: Gatineau (Qc), Canada

PostPosted: Sun 04 Dec 2016, 03:44    Post subject:  

Hello folks.

Here is less-487, published last month.
What's new in this version is listed here.

I've compiled on the Puduan-6, and it runs fine on it.
Untested on other Puppies.

If you have problems such as the ones described above,
please let me know and I'll try to solve them. TIA.

BFN.
less-487_exec.pet
Description 
pet

 Download 
Filename  less-487_exec.pet 
Filesize  107.37 KB 
Downloaded  49 Time(s) 

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 4 [56 Posts]   Goto page: Previous 1, 2, 3, 4
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0984s ][ Queries: 15 (0.0154s) ][ GZIP on ]